Subject: Re: [PATCH v5 0/3] tls: Add TLS 1.3 hardware offload support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Jan 2026 16:16:01 -0800

On Mon, 26 Jan 2026 14:07:52 -0800 Rishikesh Jethwani wrote:
> > > Selftests are a hard requirement, I already shared a link with more
> > > info with you.  
> >
> > I will run the existing TLS selftests to verify no regressions.  
> 
> I ran the TLS selftests - all 898 tests pass:
> linux-kselftest/tools/testing/selftests/net# ./tls 2>&1 | tee tls_test.log
> # PASSED: 898 / 898 tests passed.
> # Totals: pass:898 fail:0 xfail:0 xpass:0 skip:0 error:0

I am asking you to implement selftests that will test the HW.